Skip to main content
`Ctrl`+`K`

# PetscPDFConstant3D

PDF for the uniform distribution in 3D

## Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscPDFConstant3D(const PetscReal x[], const PetscReal unused[], PetscReal p[])

Not Collective

## Input Parameters

- x - Coordinate in \([-1, 1]^3\)

- unused - Unused

## Output Parameter

- p - The probability density at `x`

## See Also

`PetscCDFConstant3D()`, `PetscPDFSampleConstant3D()`, `PetscPDFSampleConstant1D()`, `PetscPDFSampleConstant2D()`

## Level

beginner

## Location

src/dm/dt/interface/dtprob.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages